# Summary

- [Introduction](index.md)
- [Core](core/index.md)
  - [Build](core/build/index.md)
    - [Embedded](core/build/embedded.md)
    - [Emulator](core/build/emulator.md)
  - [Emulator](core/emulator/index.md)
  - [Event Loop](core/src/event-loop.md)
  - [Apps](core/src/apps.md)
  - [Tests](core/tests/index.md)
  - [Miscellaneous](core/misc/index.md)
    - [SLIP-39](core/misc/slip0039.md)
    - [Exceptions usage](core/misc/exceptions.md)
- [Legacy](legacy/index.md)
- [Python](python/index.md)
  - [trezorlib](python/trezorlib.md)
- [Hardware](hardware/index.md)
  - [Model T](hardware/model-t/index.md)
    - [Boot stages](hardware/model-t/boot.md)
    - [Memory layout](hardware/model-t/memory.md)
  - [Model One](hardware/model-one/index.md)
- [Common](common/index.md)
  - [Communication](common/communication/index.md)
    - [Sessions](common/communication/sessions.md)
    - [Passphrase](common/communication/passphrase.md)
      - [Migration](common/communication/passphrase-redesign-migration.md)
    - [Bitcoin signing](common/communication/bitcoin-signing.md)
- [Storage](storage/index.md)
- [Tests](tests/index.md)
  - [Device Tests](tests/device-tests.md)
  - [Upgrade Tests](tests/upgrade-tests.md)
  - [UI Tests](tests/ui-tests.md)
  - [Click Tests](tests/click-tests.md)
- [CI](ci/index.md)
  - [GitLab CI Jobs](ci/jobs.md)
- [Miscellaneous](misc/index.md)
  - [Affected third-parties](misc/third-parties.md)
  - [Coins' BIP-44 Paths](misc/coins-bip44-paths.md)
  - [Contributing](misc/contributing.md)
  - [FW update and device wipe](misc/update-wipes.md)
  - [Generated Files](misc/generated-files.md)
  - [Git Hooks](misc/git-hooks.md)
  - [Monorepo Notes](misc/monorepo.md)
  - [Purpose48 derivation scheme](misc/purpose48.md)
  - [Review Process](misc/review.md)
  - [TOIF Image Format](misc/toif.md)
